Recent WinXP/POS2009 update causes errors with PIII systems

Getting old software/games running on older hardware.

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby nd22 » 2019-2-20 @ 16:53

I just installed the February updates on my Athlon XP 3200 and I can report the following:
4486474: OK - the update for IE8 installs always regardless of the presence of SSE1/2/3 or not!
4486463: OK
4486464: FAILED
4486465: OK
4486924: OK
4487085: FAILED V2 - you should not installed V1 even if your CPU supports SSE2 instruction set!
4487086: OK
4487385: OK
4487396: OK
4462154: OK
4486485: OK
4483495: OK
4483475: OK
We are now on 2 months of support left!
Please note that all updates for Office 2007 compatibility pack are not tested because I do not use it!
nd22
Member
 
Posts: 120
Joined: 2016-10-17 @ 09:58
Location: Ploiesti, Romania

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby nd22 » 2019-3-04 @ 09:44

For those with single core CPU the update 4886463 is being offered again and again no matter how many times is installed. It is strongly recommended to hide the update as there is no consequence for single core systems even those with hyper-threaded CPU!
nd22
Member
 
Posts: 120
Joined: 2016-10-17 @ 09:58
Location: Ploiesti, Romania

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby nd22 » 2019-4-02 @ 17:15

After 1 month I finally got to install the March updates on my Athlon XP 3200. Here are my results:
4489873: OK
4486468: OK
4486536: OK
4486538: OK
4487989: OK
4489493: OK
4489973: OK
4489974: OK
4489977: OK
4490228: OK
4490385: FAILED
4490500: OK
4490501: OK
4493341: OK
All but 1 installed just fine - the system is as responsive as before.
We are now on the final month of support! :depressed:
nd22
Member
 
Posts: 120
Joined: 2016-10-17 @ 09:58
Location: Ploiesti, Romania

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby Clardake » 2019-4-02 @ 19:49

Thank you so much for your reports, nd22 :happy:

While it's a shame some recent updates for Windows Embedded/POSReady 2009 require SSE2 instructions set, it's fine most recent updates still don't require it.

nd22 wrote:We are now on the final month of support!

There could be some updates in the next month. The support of Embedded Standard 2009 ended in January but the February updates are still intended for it (according to Windows Update). In May 2014, Microsoft released an update for Internet Explorer on Windows XP, while its support ended in April 2014. Some updates came out for NT 4.0 Server in early 2005, while its support ended in 2004, etc.
Clardake
Newbie
 
Posts: 10
Joined: 2014-2-21 @ 21:30

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby nd22 » 2019-4-13 @ 03:21

I installed last night the final batch of updates and I can report the following:
4493435: OK
4487990: OK
4491443: OK
4493563: OK
4493790: OK
4493793: OK
4493794: OK
4493795: OK
4493796: OK
4493797: OK
4493927: OK
4494059: OK
4494528: DESTROYS INSTALLATION ROUTINE
4495022: FAILED

These are the last updates for Windows XP all versions ever! Now it is the time to start some kind of backup of all systems running XP or disconnecting them form the internet. Starting form July 2019 Microsoft will use SHA2 in all Windows updates - I do not know if Windows update version 6 will continue working or starting from July will fail as version 4 for Windows 9X did. I will try to do an archive with all Windows XP POS2009 updates from April 2014 to April 2019.
nd22
Member
 
Posts: 120
Joined: 2016-10-17 @ 09:58
Location: Ploiesti, Romania

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby feipoa » 2019-4-13 @ 03:31

I guess I better update all my SSE sytems soon! I was waiting for April updates to be released. Will Office and other MS updates continue?

nd22 wrote:I will try to do an archive with all Windows XP POS2009 updates from April 2014 to April 2019.

With an installer program?
User avatar
feipoa
l33t++
 
Posts: 6411
Joined: 2011-3-07 @ 13:54
Location: Canada

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby nd22 » 2019-4-15 @ 10:16

The problem is I starting my archive in August 2018. So I got absolutely no updates before that date. If someone has and is willing to share it I will greatly appreciate it. I will try to write a small installer program with SSE1-only updates but I must have all updates from April 2014 to April 2019.
nd22
Member
 
Posts: 120
Joined: 2016-10-17 @ 09:58
Location: Ploiesti, Romania

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby marvias » 2019-4-15 @ 17:51

How I got this: I installed XP with SP3 from clean MS iso, updated registry with PosReady tweak and installed: KB898461, windowsupdateagent-3.0, and KB892130. After this both auto updades and Windows update web started working.

Here is list of XP Embedded updates only (it showed also many post-sp3):
Code: Select all
KB2926765
KB2957503
KB2993254
KB2993651
KB2998579
KB3004361
KB3013126
KB3020393
KB3021674
KB3029944
KB3033889
KB3033890
KB3035132
KB3065979
KB3078601
KB3081320
KB3087039
KB3092601
KB3109560
KB3121918
KB3124275
KB3124624
KB3126587
KB3126593
KB3139914
KB3140709
KB3145739
KB3149090
KB3161561
KB3161949
KB3170455
KB3178034
KB3183431
KB3185911
KB3196718
KB3198510
KB4012583
KB4012584
KB4014652
KB4014794
KB4015383
KB4022747
KB4024323
KB4025218
KB4025409
KB4025497
KB4026061
KB4034775
KB4039384
KB4041995
KB4047211
KB4052303
KB4056564
KB4056941
KB4089082
KB4089175
KB4089453
KB4089694
KB4091756
KB4101477
KB4130957
KB4291391
KB4294413
KB4343674 -SSE2
KB4457163
KB4458000 -SSE2, previous KB4042121
KB4458001
KB4458006
KB4458318
KB4462935
KB4462987 -SSE2
KB4463103
KB4463573
KB4467689
KB4468323
KB4470118
KB4473077 -SSE2, previous 2018-10-KB4463361 reported here as ok, otherwise KB4042121
KB4486463
KB4486465
KB4486468
KB4486536
KB4486538
KB4486924
KB4487085 -SSE2
KB4487086
KB4487989
KB4487990
KB4489493
KB4489973
KB4489974
KB4489977
KB4490228
KB4490385 -SSE2
KB4490501
KB4491443
KB4493341
KB4493563
KB4493790
KB4493793
KB4493794
KB4493795
KB4493796
KB4493797
KB4493927
KB4494059
KB4494528 -SSE2?, win installer error, fix using regsvr32 MSI.DLL, chain of previous: (ok)2018-03-KB4087398 (sse2)2018-08-KB4340937 (sse2)2019-02-KB4486464
KB4495022 -SSE2


ie6 cumulative KB3124275
ie8 KB2510531 + cumulative KB4493435

WMP11 KB3067903 + KB3033890


I didnt test yet if it installs fine on non-SSE2 HW, information regarding SSE2 is taken from this thread + I noted previous updates which could be installed instead of the problematic ones, if there are any.

Updates can be downloaded manually here https://www.catalog.update.microsoft.com/Home.aspx

Let me know if I have incorrect information on SSE2 marks in the list, I will update it.
marvias
Newbie
 
Posts: 32
Joined: 2016-12-13 @ 20:27

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby Clardake » 2019-5-15 @ 19:07

nd22 wrote:I installed last night the final batch of updates and I can report the following(...)
4494528: DESTROYS INSTALLATION ROUTINE

Did you try to fix the issue by re-register some DLLs ?

Code: Select all
regsvr32 MSI.DLL
regsvr32 MSIHND.DLL
regsvr32 MSISIP.DLL

Source: https://msfn.org/board/topic/171814-pos ... nt-1162203

Maybe they'll shortly release a KB4494528-v2, as the end of support shouldn't mean release a such flawed update.

nd22 wrote:These are the last updates for Windows XP all versions ever!

Wrong! Just a month after the end of POSReady support, Microsoft released another patch, intended for any version of XP SP3 : https://support.microsoft.com/en-us/hel ... -kb4500331

Is that hotfix (fully) compatible with non-SSE2 processors? I don't know how exactly you define the processor compatibility with your Athlon XP, but I guess you'll test that patch soon :cool:.
Clardake
Newbie
 
Posts: 10
Joined: 2014-2-21 @ 21:30

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby feipoa » 2019-5-23 @ 09:43

nd22 wrote:I installed last night the final batch of updates and I can report the following:
.
.
.
4494528: DESTROYS INSTALLATION ROUTINE
.

Are you recommending that we do not install 4494528? What exactly are the symptoms?

I am going around to all my machines with XP installed and doing the final updates before July.
User avatar
feipoa
l33t++
 
Posts: 6411
Joined: 2011-3-07 @ 13:54
Location: Canada

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby feipoa » 2019-5-24 @ 02:14

I have updated 4 of my XP systems recently. This is the recipe I am using. Keep in mind that I do have Office 2003 + '07 compatibility packs installed.

For SSE1-only based CPUs using XP Pro SP3 w/POS2009 updates, you can install all .NET, IE8, Office, etc updates until 31 July 2018.

Starting August 2018:

Do not install any .NET updates, e.g. 4344180, 4462774, 4457058, 4457046, etc.
Do not install Office 2010 update KB4461522
Do not install WES09/POSReady2009 updates: KB4343674, KB4340937, KB4458000, KB4462987, KB4473077, KB4486464, KB4487085, KB4490385, KB4494528, KB4495022

NOT YET TESTED ON SSE1 ---> Install KB4500331 from http://www.catalog.update.microsoft.com ... ?q=4500331
User avatar
feipoa
l33t++
 
Posts: 6411
Joined: 2011-3-07 @ 13:54
Location: Canada

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby nd22 » 2019-5-29 @ 09:16

Even after re-registering those DLL's 4494528 still cripples the installation routine!
Also the KB4500331 update from May will not install on Athlon XP 3200.
My recommendation is to start to backup because there are some rumors that from July 2019 Microsoft update v6 will stop working! I intent to do a full system backup, an image of the entire hard drive would be the best solution!
nd22
Member
 
Posts: 120
Joined: 2016-10-17 @ 09:58
Location: Ploiesti, Romania

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby BushLin » 2019-5-29 @ 11:49

If you're going to finally take your XP systems offline because it's the end of the line for security updates of any form... Why care about preserving the bloated mess of semi unofficial security updates of which the Windows Update mechanism is buckling under the challenge of?

Aside from things like DirectX or Media Player upgrades from their SP3 versions. I don't see the value in applying patches to threats you won't face in a totally offline environment.
Screw period correct, I wanted a faster system back then. I choose no dropped frames, super fast loading, fully compatible and quiet operation.
User avatar
BushLin
Member
 
Posts: 225
Joined: 2018-8-01 @ 19:41
Location: 127.0.0.1

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby nd22 » 2019-5-29 @ 12:43

I did not say I am going to take my systems offline - I simply stated that would be a good idea to have a backup in case the Windows dies or I screw something! Because some or all of the updates might be lost after Microsoft pulls the plug having an image of the Windows partition or of the entire hard drive could become handy!
nd22
Member
 
Posts: 120
Joined: 2016-10-17 @ 09:58
Location: Ploiesti, Romania

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby BushLin » 2019-5-29 @ 17:35

nd22 wrote:I did not say I am going to take my systems offline

I did not say I was addressing you personally.
If I was though, I'd tell you to take your XP systems offline!
Screw period correct, I wanted a faster system back then. I choose no dropped frames, super fast loading, fully compatible and quiet operation.
User avatar
BushLin
Member
 
Posts: 225
Joined: 2018-8-01 @ 19:41
Location: 127.0.0.1

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby oeuvre » 2019-5-29 @ 17:35

Do whatever you want with your machines. XP MASTER RACE
Retro PC Intel i7 2600, 16GB, AMD FirePro V5800 1GB, SSD + HD, XP/7
Main Desktop Intel 6700, 32GB, AMD RX580 8GB, NVMe SSD + HD, 10
Image
User avatar
oeuvre
l33t
 
Posts: 2955
Joined: 2015-3-31 @ 13:31
Location: USA

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby Caluser2000 » 2019-5-31 @ 08:10

My God! Is that old operating system still in use?. Just joking. Have an old XP system just for lols.
User avatar
Caluser2000
Oldbie
 
Posts: 916
Joined: 2014-10-21 @ 05:34

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby nd22 » 2019-6-03 @ 07:25

I have 13 systems and Windows XP is installed on the majority of them! From Pentium 3 up to Athlon 64 x2 going through dual P3, Athlon XP, Pentium 4 and so on - everything that can take at least 1gb of ram up to systems with a maximum of 4gb of ram!
In my humble opinion the critical requirements are: 1gb of ram minimum and a 1.5ghz CPU! With 2gb of ram and 3ghz CPU Windows XP will fly! The storage unit - if period correct - will remain a big bottleneck but I think this is unavoidable!
nd22
Member
 
Posts: 120
Joined: 2016-10-17 @ 09:58
Location: Ploiesti, Romania

Re: Recent WinXP/POS2009 update causes errors with PIII systems

Postby feipoa » 2019-6-20 @ 10:34

I'm looking at the Event Viewer on my P4 XP system. Starting May 23, 2019, I began receiving the following Warnings and Errors:

Code: Select all
Event Viewer (local) - Application
Source: MsiInstaller
Event ID: 1015
User: NT AUTHORITY\SYSTEM
Description: Failed to connect to server. Error: 0x80080005

For more information, see Help and Support Center at http://go.microsoft.com/fwlink/events.asp.


--- AND ---

Code: Select all
Event Viewer (local) - System
Source: DCOM
Event ID: 10010
User: NT AUTHORITY\SYSTEM
Description: The server {000C101C-0000-0000-C000-000000000046} did not register with DCOM within the required timeout.

For more information, see Help and Support Center at http://go.microsoft.com/fwlink/events.asp.


I installed KB4500331 on May 23rd, so I suspect this KB is related to these Event Viewer ID's. I received these same errors on my AM2 3.2 GHz system as well.
User avatar
feipoa
l33t++
 
Posts: 6411
Joined: 2011-3-07 @ 13:54
Location: Canada

Previous

Return to Software

Who is online

Users browsing this forum: No registered users and 3 guests